function updateAliasButton () {
    var checkbox = document.getElementById("aliasCheckbox");
    var button = document.getElementById("aliasButton");
    button.disabled = !checkbox.checked;

/*    if (!checkbox.checked)
      this._removeMasterPassword();
    else
      this.changeMasterPassword();
*/
}

function initAliasMenuPopup() {
    var menuPopup = document.getElementById("aliasMenuPopup");

    removeMenuItems(menuPopup);

    var rdData = PrefixesListSingleton.getInstance().getPrefixesList();

    for (var i = 0; i < rdData.length; i++) {
        var item = createMenuItem("aliasMenuPopup_" + rdData[i].rd, rdData[i].description, null, "");
        item.setUserData("prefixItem", rdData[i], null);
		menuPopup.appendChild(item);
    }
}

function prefixFoundOnDialogAccept() {
    var isValid = false;

    try {
        var checkbox = document.getElementById("aliasCheckbox");
        var pl = PrefixesListSingleton.getInstance();
        var item;
        var arg = window.arguments[0];

        if (checkbox.checked) {
            var aliasButton = document.getElementById("aliasButton");
            if (!aliasButton.selectedItem) {
                alert(getLocalizedMessage("setRD.invalidAlias"));
                aliasButton.focus();

                isValid = false;
            } else {
                var alias = document.getElementById("rd").value;
                item = document.getElementById("aliasButton").selectedItem.getUserData("prefixItem");
                item.aliases.push(alias);

                arg.SetString(20, alias);
                isValid = true;
            }
        } else {
            isValid = checkDescription() && checkRD();
            if (isValid) {
                item = new PrefixItem(document.getElementById("description").value,
                                        document.getElementById("rd").value);

                arg.SetString(20, item.rd);
                pl.getPrefixesList().push(item);
            }
        }
        if (item) {
            pl.savePrefixesArray();
       
            arg.SetInt(0, 0);
            arg.SetString(21, item.description);
        }
    } catch (err) {
        alert(err);
    }
    return isValid;
}